## emacs-async 1.9.3

=== Makefile ===
# makefile for async.

# Author: Thierry Volpiatto.
# Copyright (C) 2011~2017, Thierry Volpiatto, all rights reserved.

## This file is NOT part of GNU Emacs
##
## License
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3, or (at your option)
## any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING.  If not, write to
## the Free Software Foundation, Inc., 51 Franklin Street, Fifth
## Floor, Boston, MA 02110-1301, USA.

# Emacs invocation
EMACS_COMMAND   := emacs

EMACS		:= $(EMACS_COMMAND) -Q -batch

EVAL := $(EMACS) --eval

PKGDIR := .

# Additional emacs loadpath
LOADPATH	:= -L .

# Files to compile
EL			:= $(sort $(wildcard *async*.el))

# Compiled files
ELC			:= $(EL:.el=.elc)


.PHONY: clean autoloads batch-compile install uninstall

all: clean autoloads batch-compile

$(ELC): %.elc: %.el
	$(EMACS) $(LOADPATH) -f batch-byte-compile $<

# Compile needed files
compile: $(ELC)

# Compile all files at once
batch-compile:
	$(EMACS) $(LOADPATH) -f batch-byte-compile $(EL)

# Remove all generated files
clean:
	rm -f $(ELC)

# Make autoloads file
autoloads:
	$(EVAL) "(let ((generated-autoload-file (expand-file-name \"async-autoloads.el\" \"$(PKGDIR)\")) \
(backup-inhibited t)) (update-directory-autoloads \"$(PKGDIR)\"))"

PREFIX=/usr/local/share/
DESTDIR=${PREFIX}emacs/site-lisp/emacs-async/
install:
	test -d ${DESTDIR} || mkdir ${DESTDIR}
	cp -vf *.elc $(DESTDIR)
	cp -vf async-autoloads.el $(DESTDIR)

uninstall:
	rm -vf ${DESTDIR}*.elc
	rm -vf ${DESTDIR}*.el

## emacs-async 1.6

=== debian/changelog ===
emacs-async (1.6-1) unstable; urgency=medium

  * Initial release. (Closes: #807851)

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 13 Jan 2016 09:04:02 -0700

=== debian/control ===
Source: emacs-async
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.17)
Standards-Version: 3.9.6
Homepage: https://elpa.gnu.org/packages/async.html
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-async.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-async.git/

Package: elpa-async
Architecture: all
Depends: ${misc:Depends}, emacs
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: simple library for asynchronous processing in Emacs
 async.el is a module for doing asynchronous processing in Emacs.  The
 most common application is to make dired move and rename files
 asynchronously i.e. in the background.  Then the user need not wait
 for the move or copy to complete before they can use Emacs for other
 tasks.

=== debian/watch ===
version=3
https://elpa.gnu.org/packages/async.html async-(.+).tar

## emacs-async 1.9

=== debian/changelog ===
emacs-async (1.9-2) unstable; urgency=medium

  * Add fix-ELPA-version.patch.
  * Bump debhelper compat & build-dep to 10.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Oct 2016 19:21:01 -0700

emacs-async (1.9-1) unstable; urgency=medium

  * Package new upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 02 Jun 2016 15:22:00 +0900

emacs-async (1.8-1) unstable; urgency=medium

  * Package new upstream release.
  * Now obtaining new upstream releases from upstream git rather than GNU ELPA.
    - Adjust gbp.conf.
    - Adjust debian/watch.
    - Update Source: in d/copyright.
    - Update Homepage: in d/control.
  * Bump standards version to 3.9.8 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 May 2016 13:43:59 -0700

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
-Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.17)
-Standards-Version: 3.9.6
-Homepage: https://elpa.gnu.org/packages/async.html
+Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.17)
+Standards-Version: 3.9.8
+Homepage: https://github.com/jwiegley/emacs-async
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-async.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-async.git/

## emacs-async 1.9.2

=== debian/changelog ===
emacs-async (1.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Switch upstream back to GNU ELPA, rather than John Wiegley's GitHub
    repository.
    The GitHub repository's tags are not always kept up-to-date, and there
    are new releases containing additional improvements on GNU ELPA.  This
    means that addon authors are probably developing against the version
    on GNU ELPA, so that's the one we should have in Debian.
    - Adjust gbp.conf
    - Adjust d/watch
    - Update Source: in d/copyright
    - Update Homepage: in d/control
    - Add d/upstream/signing-key.asc
      - Drop debian-watch-may-check-gpg-signature Lintian override.
  * Stop installing README.md
    README not present in GNU ELPA release.
  * Drop 0001-decruft-README.patch
    README not present in GNU ELPA release.
  * Drop fix-ELPA-version.patch
    Merged upstream.
  * Bump standards version to 4.0.0 (no changes required).
  * Drop d/source/local-options for dgit.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 19 Jun 2017 08:34:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.17)
-Standards-Version: 3.9.8
-Homepage: https://github.com/jwiegley/emacs-async
+Standards-Version: 4.0.0
+Homepage: https://elpa.gnu.org/packages/async.html
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-async.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-async.git/

=== debian/watch ===
version=3
opts=repack,compression=xz,pgpsigurlmangle=s/$/.sig/ https://elpa.gnu.org/packages/async.html async-(.+).tar

## emacs-async 1.9.3

=== debian/changelog ===
emacs-async (1.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Switch upstream back to GitHub.
    See: https://github.com/jwiegley/emacs-async/issues/100
    - Adjust gbp.conf
    - Adjust d/watch
    - Update Source: in d/copyright
    - Update Homepage: in d/control
    - Drop d/upstream/signing-key.asc
  * Start installing README.md again.
  * Patch README.md for Debian.
  * Source package configuration for dgit-maint-merge(7):
    - Add d/source/options
    - Add d/source/patch-header
  * Add empty override_dh_autoinstall target.
  * Drop --parallel from d/rules.
  * Update Maintainer field for team rename.
  * Point Vcs-* at salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 12 Jun 2018 11:05:36 +0100

emacs-async (1.9.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 20:17:19 -0300

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

# disable upstream's Makefile install target
override_dh_auto_install:

## emacs-async 1.9.4

=== Makefile ===
--- 
+++ 
@@ -68,6 +68,7 @@
 DESTDIR=${PREFIX}emacs/site-lisp/emacs-async/
 install:
 	test -d ${DESTDIR} || mkdir ${DESTDIR}
+	cp -vf *.el $(DESTDIR)
 	cp -vf *.elc $(DESTDIR)
 	cp -vf async-autoloads.el $(DESTDIR)

=== debian/changelog ===
emacs-async (1.9.4-2) unstable; urgency=medium

  * Don't run upstream's 'all' Makefile target (Closes: #973150).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 04 Nov 2020 19:51:31 -0700

emacs-async (1.9.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 15 Dec 2019 09:13:18 -0700

emacs-async (1.9.3-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 08:46:44 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: emacs-async
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.17)
 Standards-Version: 4.0.0
 Homepage: https://elpa.gnu.org/packages/async.html
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-async.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-async.git/
+Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-async.git/
+Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-async
 
 Package: elpa-async
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 # disable upstream's Makefile install target
 override_dh_auto_install:
+
+# disable upstream's Makefile all target
+override_dh_auto_build:

## emacs-async 1.9.7

=== debian/changelog ===
emacs-async (1.9.7-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop emacs24 from Enhances (package does not exist in bullseye).

  [ Aymeric Agon-Rambosson ]
  * New upstream release.
  * Adopt the package from Sean Whitton (Closes: #1017879).

  * d/control:
    - Bump standards version to 4.5.1 (added optional Rules-Required-Root).
    - Add debhelper-compat to, remove dh-elpa minimal version from
    Build-Depends (remove now unneeded d/compat).
    - Add elpa:Depends to and remove emacs from Depends.
    - Removed unneeded Build-Using.

  * d/copyright:
    - Update copyright years.
    - Update upstream licence from GPL-2+ to GPL-3+.

  * d/watch:
    - Bump version to 4, rework regular expression.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Wed, 05 Oct 2022 15:59:39 +0200

=== debian/control ===
Source: emacs-async
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.5.1
Homepage: https://elpa.gnu.org/packages/async.html
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-async.git/
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-async

Package: elpa-async
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: simple library for asynchronous processing in Emacs
 async.el is a module for doing asynchronous processing in Emacs.  The
 most common application is to make dired move and rename files
 asynchronously i.e. in the background.  Then the user need not wait
 for the move or copy to complete before they can use Emacs for other
 tasks.

## emacs-async 1.9.8

=== debian/changelog ===
emacs-async (1.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove d/README.debian (obsolete information).
  * d/control:
    - Bump Standards-Version to 4.6.2 (no changes required).
    - Remove redundant version in Recommends.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 25 Nov 2023 09:59:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://elpa.gnu.org/packages/async.html
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-async.git/
@@ -14,7 +14,7 @@
 Package: elpa-async
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: simple library for asynchronous processing in Emacs
  async.el is a module for doing asynchronous processing in Emacs.  The

## emacs-async 1.9.9

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makefile for async.
 
 # Author: Thierry Volpiatto.
-# Copyright (C) 2011~2017, Thierry Volpiatto, all rights reserved.
+# Copyright (C) 2011~2022, Thierry Volpiatto, all rights reserved.
 
 ## This file is NOT part of GNU Emacs
 ##
@@ -18,9 +18,8 @@
 ## GNU General Public License for more details.
 ##
 ## You should have received a copy of the GNU General Public License
-## along with this program; see the file COPYING.  If not, write to
-## the Free Software Foundation, Inc., 51 Franklin Street, Fifth
-## Floor, Boston, MA 02110-1301, USA.
+## along with this program; see the file COPYING.  If not, see
+## <https://www.gnu.org/licenses/>.
 
 # Emacs invocation
 EMACS_COMMAND   := emacs
@@ -61,8 +60,8 @@
 
 # Make autoloads file
 autoloads:
-	$(EVAL) "(let ((generated-autoload-file (expand-file-name \"async-autoloads.el\" \"$(PKGDIR)\")) \
-(backup-inhibited t)) (update-directory-autoloads \"$(PKGDIR)\"))"
+	$(EVAL) "(progn (setq generated-autoload-file (expand-file-name \"async-autoloads.el\" \"$(PKGDIR)\")) \
+(setq backup-inhibited t) (update-directory-autoloads \"$(PKGDIR)\"))"
 
 PREFIX=/usr/local/share/
 DESTDIR=${PREFIX}emacs/site-lisp/emacs-async/

=== debian/changelog ===
emacs-async (1.9.9-2) unstable; urgency=medium

  * Ship async-package.el introduced in 1.9.9
  * Add myself to Uploaders

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 30 May 2025 01:16:23 -0700

emacs-async (1.9.9-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * d/control: Bump Standards-Version to 4.7.0 (no changes required).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Tue, 29 Oct 2024 23:26:45 +0100

emacs-async (1.9.8-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:11:02 +0900

emacs-async (1.9.8-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 11:36:58 +0900

emacs-async (1.9.8-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 11:35:31 +0900

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
+Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://elpa.gnu.org/packages/async.html
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-async.git/

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/jwiegley/emacs-async/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
